#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel leds(12, 2, NEO_GRB + NEO_KHZ800);

void setup() {

  leds.begin(); 
  leds.setBrightness(50);
  leds.show(); 
}
void loop() {
  uint32_t rouge = leds.Color(255, 0, 0);
  uint32_t magenta = leds.Color(255, 0, 255);
  uint32_t vert = leds.Color(0, 255, 0);
  uint32_t cyan = leds.Color(0, 255, 255);
  uint32_t bleu = leds.Color(0, 0, 255);
  tourne3(rouge, 200);
  tourne3(magenta, 200);
  tourne3(vert, 200);  
  tourne3(cyan, 200);
  tourne3(bleu, 200);   
}
void tourne3(uint32_t couleur, uint8_t temp) {
  for (int cycle=0; cycle<10; cycle++) {  
    for (int q=0; q<3; q++) { 
      for (uint16_t i=0; i < leds.numPixels(); i=i+3) { 
        leds.setPixelColor(i+q, couleur);    
      }
      leds.show();
      delay(temp);
      for (uint16_t i=0; i < leds.numPixels(); i=i+3) {
        leds.setPixelColor(i+q, 0);        
      }
    }
  }
}
